/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "mainmenu.h"

mainmenu_t MAIN_MENU;

void mainMenuInit() {
  const char_t* strings[] = {
    "New Game",
    "Load Game",
    "Options",
    "Exit"
  };

  uint16_t columns = 1;
  uint16_t rows = 4;
  menuInit(&MAIN_MENU.menu, columns, rows);
  memcpy(MAIN_MENU.menu.strings, strings, sizeof(strings));
  MAIN_MENU.menu.selectCallback = mainMenuSelectCallback;
}

void mainMenuUpdate() {
  menuUpdate(&MAIN_MENU.menu);
}

void mainMenuSelectCallback(
  const menu_t *menu,
  const uint16_t x,
  const uint16_t y,
  const char_t *str
) {
  printf("Selected: %s\n", str);
}